Page MenuHomePhabricator

Add data-mw as a separate JSON blob in the pagebundle output of Parsoid's API
Closed, ResolvedPublic0 Story Points

Description

Add data-mw as a separate JSON blob in the pagebundle API endpoints.

  • Add a version string for the data-mw blob
  • This should also bump the version number of HTML
  • For older versions of the HTML (passed in via the Accept: header), the data-mw should continue be inlined

Related Objects

Event Timeline

ssastry created this task.Mar 22 2016, 4:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2016, 4:58 PM
Arlolra moved this task from Backlog to In Progress on the Parsoid board.Apr 8 2016, 8:11 PM

Change 286072 had a related patch set uploaded (by Arlolra):
WIP: Add data-mw as a separate JSON blob in the pagebundle

https://gerrit.wikimedia.org/r/286072

Change 286072 merged by jenkins-bot:
Add data-mw as a separate JSON blob in the pagebundle

https://gerrit.wikimedia.org/r/286072

Arlolra closed this task as Resolved.May 13 2016, 7:59 PM